/*
 * =====================================================================================
 *
 *       Filename:  configuration.h
 *
 *    Description:  Internal configuration module
 *
 *        Version:  1.0
 *        Created:  29.03.2014 21:01:47
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Lucjan Bryndza (LB), lucck(at)boff(dot)pl
 *   Organization:  BoFF
 *
 * =====================================================================================
 */
#pragma once

#include <stdint.h>
/* ------------------------------------------------------------------ */ 
typedef int32_t config_if_t;
typedef uint16_t config_vfail_t;
/* ------------------------------------------------------------------ */ 
//! Read iff frequency 
config_if_t config_get_if_freq( void );
/* ------------------------------------------------------------------ */
//! Set if freq
void config_setup( void );
/* ------------------------------------------------------------------ */
//! Get voltage level value
config_vfail_t config_get_vfail( void );
/* ------------------------------------------------------------------ */
