/*
 * =====================================================================================
 *
 *       Filename:  poweroff.h
 *
 *    Description:  PWR disable API
 *
 *        Version:  1.0
 *        Created:  30.03.2014 11:53:10
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Lucjan Bryndza (LB), lucck(at)boff(dot)pl
 *   Organization:  BoFF
 *
 * =====================================================================================
 */
#pragma once

/* ------------------------------------------------------------------ */ 
//! Power on the device
void power_on(void);
/* ------------------------------------------------------------------ */ 
//! Software power down controller and taurus
void power_off(void);
/* ------------------------------------------------------------------ */

