/*
 * =====================================================================================
 *
 *       Filename:  config.h
 *
 *    Description:  Main configuration file
 *
 *        Version:  1.0
 *        Created:  30.03.2014 11:56:22
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Lucjan Bryndza (LB), lucck(at)boff(dot)pl
 *   Organization:  BoFF
 *
 * =====================================================================================
 */

#pragma once

//! Enable or disable power control feature
#define CONFIG_HAVE_POWER_CTL_FEATURE 1
//! Low level voltage poweroff timeout 
#define CONFIG_VOLTAGE_POWEROFF_TOUT 60


